Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm just wondering if it is possible to downgrade compiz to maverick's version 0.8.6 like in natty? I have an ATI radeon mobile 3200/4330 dual GPU and the new compiz and even natty's compiz doesn't like my laptops card. I understand downgrading will loose unity 3d but I will still have 2d.

share|improve this question
    
check out this question, you may find a better solution to your answer here. askubuntu.com/questions/82567/… –  jasoncruz98 Nov 25 '11 at 12:15
add comment

2 Answers 2

In a nutshell: no. At least not without some issues. (I could be wrong).

You probably could purge all compiz packages and then try compile 0.8.6 from source, but I'm not certain it would work seamlessly.

share|improve this answer
    
Thanks for your reply! I will have a go in VB and see what I can do. –  DanDare Oct 27 '11 at 17:12
add comment

not certain I follow the question, but will try to assist you. Going to restate this as understood to determine if the actual problem is clear. Believe the issue is that when trying to run Unity, your current video card, and ATI Radeon Mobile 3200/4330 dual GPU is not playing well with Unity and therefore producing unsatisfactory visual results, is that correct?

If that is the case, then at the login prompt, you should see a gear by the password window. If you click on the gear, you can select from either Unity or Unity 2d at that time and then login. Subsequent logins should remember the last chosen session and retain your preference from the last session until you choose a different window manager (or choose to install another).

This can also allow you to get to a good known working state to resolve your issue with Unity and Compiz. Would highly recommend running the compiz check script found here:

Compiz Check Script

As it can be valuable in determining if your card is capable with compiz (though it may be a bit dated).

HTH

share|improve this answer
1  
Thanks for your reply but I have used unity 2d and its the latest compiz that has trouble with my ati card. I don't get any visual problems. Its the sluggyness and slowness, even with default stock drivers. I have tried disabling vsync to blank, a slight increase in performance, and also the do not detect refresh. Now the reason I wish to downgrade is that since natty+ this has been the same result. I have used the compiz check script and my card is perfectly capable of utilizing compiz. In natty I downgraded compiz to the version maverick uses and this put performance back on par. –  DanDare Oct 27 '11 at 17:18
    
@DanDare, no worries, thought that you wanted to use Unity 2d per your initial comment as a stopgap until you could resolve the issue. Not certain if the older compiz packages will work as dependencies may or may not resolve correctly for Oneiric. Good luck with the compile though. –  freecode Oct 28 '11 at 14:08
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.